
Application: gvSIG desktop - gvSIG bugs #4288
CrsException: The projection 'Popular Visualisation Pseudo Mercator' is not a proj4 projection.
07/13/2016 11:17 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: CRS
Target version: 2.3.1-2500 (rev. org.gvsig.desktop-2.0.155)
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

"Popular Visualisation Pseudo Mercator" is the real name of a coordinate operation method (see EPSG:1024), instead of
"Popular_Visualisation_Pseudo_Mercator" with underscores. So, we should add the name without underscore in the
org.gvsig.crs.Proj4 class:

                {// Popular Visualisation Pseudo Mercator (EPSG:1024, based on Mercator_1SP) // <---------------
                        String[] projectionName={"Popular Visualisation Pseudo Mercator"}; // <---------------
                        projectionNameList.add(count,projectionName);
                        projectionNameList.add(count,"Popular_Visualisation_Pseudo_Mercator"); // <---------------

This update should fix the issue described in #3954#note-12
Related to #2624, #2664 and #3954

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4395: New User CRS can't... Closed 10/13/2016

Associated revisions
Revision 595 - 09/14/2016 05:09 PM - Joaquín  del Cerro Murciano

refs #4288, patch gracias a Antonio Falciano

History
#1 - 07/21/2016 11:25 AM - Antonio Falciano
- File Popular_Visualisation_Pseudo_Mercator.patch added

I attach a patch to the org.gvsig.crs.Proj4 class.

Has patch: Yes

#2 - 08/29/2016 01:08 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)
#3 - 09/02/2016 10:30 AM - Antonio Falciano

Sincerely speaking, I don't understand why a trivial fix like this has not been applied in gvSIG 2.3, if it can contribute to increase the overall stability of
the application.

#4 - 09/02/2016 11:38 AM - Andrea Antonello

I agree with Antonio. Is there a particular reason why the patch can't be applied? It solves a bug.

#5 - 09/13/2016 06:53 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#6 - 09/14/2016 05:12 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#7 - 09/15/2016 09:41 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2445 (rev. org.gvsig.desktop-2.0.152)

#8 - 09/17/2016 05:58 PM - Antonio Falciano
- Status changed from Fixed to Closed

#9 - 10/16/2016 02:20 PM - Antonio Falciano
- Target version changed from 2.3.0-2445 (rev. org.gvsig.desktop-2.0.152) to 2.3.1-2500 (rev. org.gvsig.desktop-2.0.155)
- Status changed from Closed to New
- File Popular_Visualisation_Pseudo_Mercator_UPDATE.patch added

The ClassCastException happens in gvSIG 2.3 (build 2447), as described in #4395, and it was introduced by the patch attached in this ticket. So I
attach a revised version of the patch that solves definitively the issue and fixes also #4395.

Related to #4395.

#10 - 10/16/2016 06:35 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#11 - 10/16/2016 06:36 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4395: New User CRS can't be created, we get an error added

#12 - 10/17/2016 10:41 AM - Antonio Falciano
- Status changed from Fixed to Closed

Files
Popular_Visualisation_Pseudo_Mercator.patch 1.1 KB 07/21/2016 Antonio Falciano
Popular_Visualisation_Pseudo_Mercator_UPDATE.patch 799 Bytes 10/16/2016 Antonio Falciano
